Package org.eclipse.lemminx.utils

## Class XMLPositionUtility.EntityReferenceRange

- java.lang.Object
- - org.eclipse.lemminx.utils.XMLPositionUtility.EntityReferenceRange

Enclosing class:
  XMLPositionUtility

    public static class XMLPositionUtility.EntityReferenceRange
    extends Object

### Constructor Summary

Constructors
`EntityReferenceRange​(String name, org.eclipse.lsp4j.Range range)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`org.eclipse.lsp4j.Range` `getRange()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntityReferenceRange

    public EntityReferenceRange​(String name,
                                org.eclipse.lsp4j.Range range)

### Method Detail

#### getName

    public String getName()

#### getRange

    public org.eclipse.lsp4j.Range getRange()